#ifndef __NEWCONFIG_H_
#define __NEWCONFIG_H_

#ifdef AC_MIX_4_GSEP_0_SSEP
/* 	In this case,AC1 = GSEP, AC2 = GSEP, AC3 = GSEP, AC4 = GSEP */
#define ENABLED_GSEP_COUNT 4
#define ENABLED_SSEP_COUNT 0
/* Aircraft 1 */
#define CONF_AC_1_TS_SA_AGENT SA_ATC
#define CONF_AC_1_SS_SA_AGENT SA_ATC
#define CONF_AC_1_ATC_INFO_LEVEL INFO_LEVEL_FAR
#define CONF_AC_1_ADSB_INFO_LEVEL GSEP_SSEP_INFO_NONE
#define AC_1_DISABLE_ADSB_IN TRUE

/* Aircraft 2*/
#define CONF_AC_2_TS_SA_AGENT SA_ATC
#define CONF_AC_2_SS_SA_AGENT SA_ATC
#define CONF_AC_2_ATC_INFO_LEVEL INFO_LEVEL_FAR
#define CONF_AC_2_ADSB_INFO_LEVEL GSEP_SSEP_INFO_NONE
#define AC_2_DISABLE_ADSB_IN TRUE

/* Aircraft 3 */
#define CONF_AC_3_TS_SA_AGENT SA_ATC
#define CONF_AC_3_SS_SA_AGENT SA_ATC
#define CONF_AC_3_ATC_INFO_LEVEL INFO_LEVEL_FAR
#define CONF_AC_3_ADSB_INFO_LEVEL GSEP_SSEP_INFO_NONE
#define AC_3_DISABLE_ADSB_IN TRUE

/* Aircraft 4 */
#define CONF_AC_4_TS_SA_AGENT SA_ATC
#define CONF_AC_4_SS_SA_AGENT SA_ATC
#define CONF_AC_4_ATC_INFO_LEVEL INFO_LEVEL_FAR
#define CONF_AC_4_ADSB_INFO_LEVEL GSEP_SSEP_INFO_NONE
#define AC_4_DISABLE_ADSB_IN TRUE

#endif

#ifdef AC_MIX_3_GSEP_1_SSEP
/* 	In this case, AC1 = SSEP, AC2 = GSEP, AC3 = GSEP, AC4 = GSEP */
#define ENABLED_GSEP_COUNT 3
#define ENABLED_SSEP_COUNT 1
/* Aircraft 1 */
#define CONF_AC_1_TS_SA_AGENT CONF_SSEP_TS_SA
#define CONF_AC_1_SS_SA_AGENT CONF_SSEP_SS_SA
#define CONF_AC_1_ATC_INFO_LEVEL CONF_SSEP_ATC_INFO_LEVEL
#define CONF_AC_1_ADSB_INFO_LEVEL INFO_LEVEL_FAR
#define AC_1_DISABLE_ADSB_IN FALSE

/* Aircraft 2 */
#define CONF_AC_2_TS_SA_AGENT SA_ATC
#define CONF_AC_2_SS_SA_AGENT SA_ATC
#define CONF_AC_2_ATC_INFO_LEVEL INFO_LEVEL_FAR
#define CONF_AC_2_ADSB_INFO_LEVEL CONF_GSEP_SSEP_INFO_LEVEL
#define AC_2_DISABLE_ADSB_IN TRUE

/* Aircraft 3 */
#define CONF_AC_3_TS_SA_AGENT SA_ATC
#define CONF_AC_3_SS_SA_AGENT SA_ATC
#define CONF_AC_3_ATC_INFO_LEVEL INFO_LEVEL_FAR
#define CONF_AC_3_ADSB_INFO_LEVEL CONF_GSEP_SSEP_INFO_LEVEL
#define AC_3_DISABLE_ADSB_IN TRUE

/* Aircraft 4 */
#define CONF_AC_4_TS_SA_AGENT SA_ATC
#define CONF_AC_4_SS_SA_AGENT SA_ATC
#define CONF_AC_4_ATC_INFO_LEVEL INFO_LEVEL_FAR
#define CONF_AC_4_ADSB_INFO_LEVEL CONF_GSEP_SSEP_INFO_LEVEL
#define AC_4_DISABLE_ADSB_IN TRUE

/* Since scenario involves SSEP, enable ACDR */
#define ACDR_REQUIRED TRUE

/* Since aircraft mix, burdening is required */
#define BURDENING_REQUIRED TRUE
#endif

#ifdef AC_MIX_2_GSEP_2_SSEP
/* 	In this case, AC1 = SSEP, AC2 = SSEP, AC3 = GSEP, AC4 = GSEP */
#define ENABLED_GSEP_COUNT 2
#define ENABLED_SSEP_COUNT 2
/* Aircraft 1 */
#define CONF_AC_1_TS_SA_AGENT CONF_SSEP_TS_SA
#define CONF_AC_1_SS_SA_AGENT CONF_SSEP_SS_SA
#define CONF_AC_1_ATC_INFO_LEVEL CONF_SSEP_ATC_INFO_LEVEL
#define CONF_AC_1_ADSB_INFO_LEVEL INFO_LEVEL_FAR
#define AC_1_DISABLE_ADSB_IN FALSE

/* Aircraft 2 */
#define CONF_AC_2_TS_SA_AGENT CONF_SSEP_TS_SA
#define CONF_AC_2_SS_SA_AGENT CONF_SSEP_SS_SA
#define CONF_AC_2_ATC_INFO_LEVEL CONF_SSEP_ATC_INFO_LEVEL
#define CONF_AC_2_ADSB_INFO_LEVEL INFO_LEVEL_FAR
#define AC_2_DISABLE_ADSB_IN FALSE

/* Aircraft 3 */
#define CONF_AC_3_TS_SA_AGENT SA_ATC
#define CONF_AC_3_SS_SA_AGENT SA_ATC
#define CONF_AC_3_ATC_INFO_LEVEL INFO_LEVEL_FAR
#define CONF_AC_3_ADSB_INFO_LEVEL CONF_GSEP_SSEP_INFO_LEVEL
#define AC_3_DISABLE_ADSB_IN TRUE

/* Aircraft 4 */
#define CONF_AC_4_TS_SA_AGENT SA_ATC
#define CONF_AC_4_SS_SA_AGENT SA_ATC
#define CONF_AC_4_ATC_INFO_LEVEL INFO_LEVEL_FAR
#define CONF_AC_4_ADSB_INFO_LEVEL CONF_GSEP_SSEP_INFO_LEVEL
#define AC_4_DISABLE_ADSB_IN TRUE

/* Since scenario involves SSEP, enable ACDR */
#define ACDR_REQUIRED TRUE

/* Since aircraft mix, burdening is required */
#define BURDENING_REQUIRED TRUE

#endif

#ifdef AC_MIX_1_GSEP_3_SSEP
/* 	In this case, AC1 = SSEP, AC2 = SSEP, AC3 = SSEP, AC4 = GSEP */
#define ENABLED_GSEP_COUNT 1
#define ENABLED_SSEP_COUNT 3
/* Aircraft 1 */
#define CONF_AC_1_TS_SA_AGENT CONF_SSEP_TS_SA
#define CONF_AC_1_SS_SA_AGENT CONF_SSEP_SS_SA
#define CONF_AC_1_ATC_INFO_LEVEL CONF_SSEP_ATC_INFO_LEVEL
#define CONF_AC_1_ADSB_INFO_LEVEL INFO_LEVEL_FAR
#define AC_1_DISABLE_ADSB_IN FALSE

/* Aircraft 2 */
#define CONF_AC_2_TS_SA_AGENT CONF_SSEP_TS_SA
#define CONF_AC_2_SS_SA_AGENT CONF_SSEP_SS_SA
#define CONF_AC_2_ATC_INFO_LEVEL CONF_SSEP_ATC_INFO_LEVEL
#define CONF_AC_2_ADSB_INFO_LEVEL INFO_LEVEL_FAR
#define AC_2_DISABLE_ADSB_IN FALSE

/* Aircraft 3 */
#define CONF_AC_3_TS_SA_AGENT CONF_SSEP_TS_SA
#define CONF_AC_3_SS_SA_AGENT CONF_SSEP_SS_SA
#define CONF_AC_3_ATC_INFO_LEVEL CONF_SSEP_ATC_INFO_LEVEL
#define CONF_AC_3_ADSB_INFO_LEVEL INFO_LEVEL_FAR
#define AC_3_DISABLE_ADSB_IN FALSE

/* Aircraft 4 */
#define CONF_AC_4_TS_SA_AGENT SA_ATC
#define CONF_AC_4_SS_SA_AGENT SA_ATC
#define CONF_AC_4_ATC_INFO_LEVEL INFO_LEVEL_FAR
#define CONF_AC_4_ADSB_INFO_LEVEL CONF_GSEP_SSEP_INFO_LEVEL
#define AC_4_DISABLE_ADSB_IN TRUE

/* Since scenario involves SSEP, enable ACDR */
#define ACDR_REQUIRED TRUE

/* Since aircraft mix, burdening is required */
#define BURDENING_REQUIRED TRUE

#endif

#ifdef AC_MIX_0_GSEP_4_SSEP
/* 	In this case, AC1 = SSEP, AC2 = SSEP, AC3 = SSEP, AC3 = SSEP */
#define ENABLED_GSEP_COUNT 0
#define ENABLED_SSEP_COUNT 4
/* Aircraft 1 */
#define CONF_AC_1_TS_SA_AGENT CONF_SSEP_TS_SA
#define CONF_AC_1_SS_SA_AGENT CONF_SSEP_SS_SA
#define CONF_AC_1_ATC_INFO_LEVEL CONF_SSEP_ATC_INFO_LEVEL
#define CONF_AC_1_ADSB_INFO_LEVEL INFO_LEVEL_FAR
#define AC_1_DISABLE_ADSB_IN FALSE

/* Aircraft 2 */
#define CONF_AC_2_TS_SA_AGENT CONF_SSEP_TS_SA
#define CONF_AC_2_SS_SA_AGENT CONF_SSEP_SS_SA
#define CONF_AC_2_ATC_INFO_LEVEL CONF_SSEP_ATC_INFO_LEVEL
#define CONF_AC_2_ADSB_INFO_LEVEL INFO_LEVEL_FAR
#define AC_2_DISABLE_ADSB_IN FALSE

/* Aircraft 3 */
#define CONF_AC_3_TS_SA_AGENT CONF_SSEP_TS_SA
#define CONF_AC_3_SS_SA_AGENT CONF_SSEP_SS_SA
#define CONF_AC_3_ATC_INFO_LEVEL CONF_SSEP_ATC_INFO_LEVEL
#define CONF_AC_3_ADSB_INFO_LEVEL INFO_LEVEL_FAR
#define AC_3_DISABLE_ADSB_IN FALSE

/* Aircraft 4 */
#define CONF_AC_4_TS_SA_AGENT CONF_SSEP_TS_SA
#define CONF_AC_4_SS_SA_AGENT CONF_SSEP_SS_SA
#define CONF_AC_4_ATC_INFO_LEVEL CONF_SSEP_ATC_INFO_LEVEL
#define CONF_AC_4_ADSB_INFO_LEVEL INFO_LEVEL_FAR
#define AC_4_DISABLE_ADSB_IN FALSE

/* Since scenario involves SSEP, enable ACDR */
#define ACDR_REQUIRED TRUE
#endif

#define DSTART #ifndef BURDEN_UNDEF
#define DSTOP #endif

#if (ENABLED_SSEP_COUNT + ENABLED_GSEP_COUNT) != 4
#error "Exactly 4 aircraft should be enabled."
#endif

#endif